- author: []
  check: []
  component:
  - scap-security-guide
  contact: []
  description: 'Ansible modules which are allowed to be used in the scap-security-guide

    content include modules from the ansible-core RPM and modules from

    posix and community collections (on RHEL-8+ packaged in rhc-worker-playbook).'
  discover-phase: default-0
  duration: 15m
  enabled: true
  environment:
    CONTEST_PYTHON: python3.11
    PYTHONPATH: ../../..
    TMPDIR: /var/tmp
  framework: shell
  id: null
  link: []
  manual: false
  name: /static-checks/ansible/allowed-modules
  order: 50
  path: /default-0/tests/static-checks/ansible/allowed-modules
  recommend:
  - python3.11-requests
  - python3.11-pyyaml
  - python3-pyyaml
  - python3
  - python3-dnf
  - python3.11
  - python3.11-urllib3
  - rpm-build
  - python3-requests
  require:
  - openscap-scanner
  - scap-security-guide
  - ansible-core
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 1
  sources:
  - /var/ARTIFACTS/work-static-checksr8bsydee/plans/upstream-parallel/other/static-checks/discover/default-0/tests/main.fmf
  - /var/ARTIFACTS/work-static-checksr8bsydee/plans/upstream-parallel/other/static-checks/discover/default-0/tests/static-checks/ansible/allowed-modules/main.fmf
  summary: Verify Ansible remediations contain only allowed Ansible modules.
  tag: []
  test: $CONTEST_PYTHON -m lib.runtest ./test.py
  tier: null
  tty: false
  where: &id001 []
- author: []
  check: []
  component:
  - scap-security-guide
  contact: []
  description: 'Verify that all generated playbooks and all playbooks provided

    by the scap-security-guide package pass ansible-lint (profile min).

    The min profile (which includes only mandatory lint rules) is used

    instead of basic (or stricter) because CaC/content playbooks are

    machine-generated and use non-standard formatting which would fail

    many style-oriented rules.'
  discover-phase: default-0
  duration: 2h
  enabled: true
  environment:
    CONTEST_PYTHON: python3.11
    PYTHONPATH: ../../..
    TMPDIR: /var/tmp
  framework: shell
  id: null
  link: []
  manual: false
  name: /static-checks/ansible/lint
  order: 50
  path: /default-0/tests/static-checks/ansible/lint
  recommend:
  - python3.11-requests
  - python3.11-pyyaml
  - python3-pyyaml
  - scap-security-guide-rule-playbooks
  - python3
  - python3-dnf
  - python3.11
  - python3.11-urllib3
  - rpm-build
  - python3-requests
  require:
  - openscap-scanner
  - scap-security-guide
  - ansible-core
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 2
  sources:
  - /var/ARTIFACTS/work-static-checksr8bsydee/plans/upstream-parallel/other/static-checks/discover/default-0/tests/main.fmf
  - /var/ARTIFACTS/work-static-checksr8bsydee/plans/upstream-parallel/other/static-checks/discover/default-0/tests/static-checks/ansible/lint/main.fmf
  summary: Lint Ansible playbooks with ansible-lint.
  tag: []
  test: $CONTEST_PYTHON -m lib.runtest ./test.py
  tier: null
  tty: false
  where: *id001
- author: []
  check: []
  component:
  - scap-security-guide
  contact: []
  description: 'Verify that all generated playbooks and all playbooks provided

    by the scap-security-guide package have correct Ansible syntax.'
  discover-phase: default-0
  duration: 1h
  enabled: true
  environment:
    CONTEST_PYTHON: python3.11
    PYTHONPATH: ../../..
    TMPDIR: /var/tmp
  framework: shell
  id: null
  link: []
  manual: false
  name: /static-checks/ansible/syntax-check
  order: 50
  path: /default-0/tests/static-checks/ansible/syntax-check
  recommend:
  - python3.11-requests
  - python3.11-pyyaml
  - python3-pyyaml
  - scap-security-guide-rule-playbooks
  - python3
  - python3-dnf
  - python3.11
  - python3.11-urllib3
  - rpm-build
  - python3-requests
  require:
  - openscap-scanner
  - scap-security-guide
  - ansible-core
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 3
  sources:
  - /var/ARTIFACTS/work-static-checksr8bsydee/plans/upstream-parallel/other/static-checks/discover/default-0/tests/main.fmf
  - /var/ARTIFACTS/work-static-checksr8bsydee/plans/upstream-parallel/other/static-checks/discover/default-0/tests/static-checks/ansible/syntax-check/main.fmf
  summary: Check Ansible playbooks syntax.
  tag: []
  test: $CONTEST_PYTHON -m lib.runtest ./test.py
  tier: null
  tty: false
  where: *id001
- author: []
  check: []
  component:
  - scap-security-guide
  contact: []
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    CONTEST_PYTHON: python3.11
    PYTHONPATH: ../..
    TMPDIR: /var/tmp
  framework: shell
  id: null
  link: []
  manual: false
  name: /static-checks/removed-rules
  order: 50
  path: /default-0/tests/static-checks/removed-rules
  recommend:
  - python3.11-requests
  - python3.11-pyyaml
  - python3-pyyaml
  - python3
  - python3-dnf
  - python3.11
  - python3.11-urllib3
  - rpm-build
  - python3-requests
  require:
  - scap-security-guide
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 4
  sources:
  - /var/ARTIFACTS/work-static-checksr8bsydee/plans/upstream-parallel/other/static-checks/discover/default-0/tests/main.fmf
  - /var/ARTIFACTS/work-static-checksr8bsydee/plans/upstream-parallel/other/static-checks/discover/default-0/tests/static-checks/removed-rules/main.fmf
  summary: Check that no rule has been removed between old/new datastreams
  tag: []
  test: $CONTEST_PYTHON -m lib.runtest ./test.py
  tier: null
  tty: false
  where: *id001
- author: []
  check: []
  component:
  - scap-security-guide
  contact: []
  description: null
  discover-phase: default-0
  duration: 2h
  enabled: true
  environment:
    CONTEST_PYTHON: python3.11
    PYTHONPATH: ../..
    TMPDIR: /var/tmp
  framework: shell
  id: null
  link: []
  manual: false
  name: /static-checks/rpmbuild-ctest
  order: 50
  path: /default-0/tests/static-checks/rpmbuild-ctest
  recommend:
  - python3.11-requests
  - rpm-build
  - python3.11-pyyaml
  - python3-pyyaml
  - yum-utils
  - dnf-utils
  - yum-builddep
  - python3-dnf
  - bats
  - python3.11
  - ansible-core
  - python3.11-urllib3
  - python3
  - python3-requests
  require:
  - python3-setuptools
  - python3-pip
  - gcc-c++
  - python3-devel
  - cmake
  - rpm-build
  - scap-security-guide
  - python3-jinja2
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 5
  sources:
  - /var/ARTIFACTS/work-static-checksr8bsydee/plans/upstream-parallel/other/static-checks/discover/default-0/tests/main.fmf
  - /var/ARTIFACTS/work-static-checksr8bsydee/plans/upstream-parallel/other/static-checks/discover/default-0/tests/static-checks/rpmbuild-ctest/main.fmf
  summary: Builds from source and runs ctest
  tag: []
  test: $CONTEST_PYTHON -m lib.runtest ./test.py
  tier: null
  tty: false
  where: *id001
- author: []
  check: []
  component:
  - scap-security-guide
  contact: []
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    CONTEST_PYTHON: python3.11
    PYTHONPATH: ../..
    TMPDIR: /var/tmp
  framework: shell
  id: null
  link: []
  manual: false
  name: /static-checks/rule-identifiers
  order: 50
  path: /default-0/tests/static-checks/rule-identifiers
  recommend:
  - python3.11-requests
  - python3.11-pyyaml
  - python3-pyyaml
  - python3
  - python3-dnf
  - python3.11
  - python3.11-urllib3
  - rpm-build
  - python3-requests
  require:
  - scap-security-guide
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 6
  sources:
  - /var/ARTIFACTS/work-static-checksr8bsydee/plans/upstream-parallel/other/static-checks/discover/default-0/tests/main.fmf
  - /var/ARTIFACTS/work-static-checksr8bsydee/plans/upstream-parallel/other/static-checks/discover/default-0/tests/static-checks/rule-identifiers/main.fmf
  summary: Search for policy references in rules
  tag: []
  test: $CONTEST_PYTHON -m lib.runtest ./test.py
  tier: null
  tty: false
  where: *id001
- author: []
  check: []
  component:
  - scap-security-guide
  contact: []
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    CONTEST_PYTHON: python3.11
    PYTHONPATH: ../..
    TMPDIR: /var/tmp
  framework: shell
  id: null
  link: []
  manual: false
  name: /static-checks/unit-tests-metadata
  order: 50
  path: /default-0/tests/static-checks/unit-tests-metadata
  recommend:
  - python3.11-requests
  - python3.11-pyyaml
  - python3-pyyaml
  - python3
  - python3-dnf
  - python3.11
  - python3.11-urllib3
  - rpm-build
  - python3-requests
  require:
  - scap-security-guide
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 7
  sources:
  - /var/ARTIFACTS/work-static-checksr8bsydee/plans/upstream-parallel/other/static-checks/discover/default-0/tests/main.fmf
  - /var/ARTIFACTS/work-static-checksr8bsydee/plans/upstream-parallel/other/static-checks/discover/default-0/tests/static-checks/unit-tests-metadata/main.fmf
  summary: Check Automatus unit tests for metadata sanity
  tag: []
  test: $CONTEST_PYTHON -m lib.runtest ./test.py
  tier: null
  tty: false
  where: *id001
